
QGIS Application - Bug report #7922

Editing: feature merging crashes QGIS when selecting a row and take attributes from selected 

feature

2013-05-28 05:36 AM - Andreas Neumann

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16793

Description

Steps to reproduce:

    -  Create empty shapefile

    -  digitize two adjacent lines that can be merged

    -  select the two lines

    -  open the "Merge selected features" tool

    -  Select one of the two rows

    -  Press "Take attributes from selected feature"

--> QGIS crashes

Related issues:

Duplicates QGIS Application - Bug report # 7668: Merge feature tools causes Q... Closed 2013-04-22

Associated revisions

Revision e53aa076 - 2013-07-04 09:07 PM - Matthias Kuhn

Merge features: Fix "take attributes from selected feature" 

Fix #7668

Fix #7922

History

#1 - 2013-05-28 07:33 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#2 - 2013-05-28 12:46 PM - Andreas Neumann

- Crashes QGIS or corrupts data changed from No to Yes

#3 - 2013-06-02 02:33 PM - Jürgen Fischer

Anything special about the created shapefile?  Not reproducable here.

#4 - 2013-06-02 04:57 PM - Alessandro Ciali

It seems the same behaviour of #7668
#5 - 2013-06-03 04:40 AM - Andreas Neumann

- File linien.zip added

no - I just used a new empty line shapefile with one id (type integer) and one attribute ("name" --> type String).

Attached you can see my empty testfile.

#6 - 2013-06-03 06:12 AM - Andreas Neumann

- Operating System set to Windows

just - tested on Linux. The problem does not exist on Linux - but it appears on Windows with the nightly from last night.

#7 - 2013-06-04 12:24 AM - Andreas Neumann

Tested with the latest nightly on Windows (OSGeo4W) and the problem is gone. Yesterday it still crashed.

Strange - did you do anything about this bug?

#8 - 2013-06-04 12:31 AM - Andreas Neumann

There is still the issue of vanishing attributes --> see #7668 which is sort of a duplicate of this bug.

#9 - 2013-06-04 01:14 AM - Giovanni Manghi

Andreas Neumann wrote:

There is still the issue of vanishing attributes --> see #7668 which is sort of a duplicate of this bug.

There is also the issue when using the functions min/max/median in a integer/float column, that leads to zeroes after the merge.

#10 - 2013-06-19 06:16 AM - Matthias Kuhn

- Status changed from Open to Feedback

Please test if commit:7d38eac solved this issue.

#11 - 2013-07-01 04:04 PM - Salvatore Larosa

- Operating System deleted (Windows)

confirmed on Linux.

backtrace: http://codepad.org/aebehHO2
#12 - 2013-07-04 12:10 PM - Matthias Kuhn

- Status changed from Feedback to Closed

Fixed in changeset commit:"e53aa07698323c0a65d9071c35815ed0eedc72a2".

Files

linien.zip 1.42 KB 2013-06-03 Andreas Neumann
